<%
'               -------------
'                   Links
'               -------------
'               Links Manager
'
'         File: links.asp
'  Description: Contains the database definition for links.
'       Author: Al Zhong
'        Email: albert@freeasp.com
'          Web: http://www.freeasp.com/
'      Version: 0.99
'
' (c) 1999 FreeASP.Com
'
' This script is not freeware! Please read the README for full details
' on registration and terms of use. 
' =====================================================================

' Database Definition: LINKS
' --------------------------------------------------------
' Database delimeter.   
db_delim           = "|"
' Definition of your database file.

raw_db_link_def = SPLIT("LinkID|0,numer,5,8,1,, " & _
            "|Title|1,alpha,40,75,1,, " & _
            "|URL|2,alpha,40,75,1,http:// " & _
            "|LinkDate|3,tdate,15,15,1, " & _
            "|Description|4,alpha,40x3,500,0,, " & _
            "|Contact Name|5,alpha,40,75,1,, " & _
            "|Contact Email|6,alpha,40,75,1, " & _
            "|Hits|7,numer,10,10,  1,0, " & _
            "|isNew|8,numer,0,5,0,0, " & _
            "|isPopular|9,numer,0,5,0,0, " & _
            "|Rating|10,numer,10,10,1,0, " & _
            "|Votes|11,numer,10,10,1,0, " & _
            "|LinkStatus|12,numer,10,10,1,0, " & _
            "|ReceiveMail|13,numer,10,10,1,0,", db_delim, -1, vbtextcompare)

link_col_id = 0
link_col_title = 1
link_col_url = 2
link_col_date = 3
link_col_des = 4
link_col_contact = 5
link_col_email = 6
link_col_hits = 7
link_col_new = 8
link_col_pop = 9
link_col_rate = 10
link_col_votes = 11
link_col_status = 12
link_col_rec = 13

num_link_col = 13
                      
' Database file to use -- defined in links.cfg.
db_link_file_name    = db_links_name
' Counter file to use  -- defined in links.cfg.
db_link_id_file_name = db_links_id_file_name
' The column name for the database key. 
db_key             = "LinkID"
' Title used in admin output.
html_link_title         = "Links Database"
html_link_object        = "Link"

' Field Number of some important fields. The number is from %db_def above
' where the first field equals 0.
db_modified = 3   
db_url = 2 
db_hits = 7 
db_isnew = 8      
db_ispop = 9
db_contact_name = 5
db_contact_email = 6 
db_title = 1
db_votes = 11
db_rating = 10   
db_mail = 12
db_linkstatus = 12
' Field number to sort links by:
db_sort_links = 1

' Field names you want to allow visitors to search on:
search_fields = split("1,2,4", ",", -1, vbtextcompare)

' System defaults. When adding new links or modifying links, these fields
' can not be overwritten by a user.
add_system_fields = inithash()
msginfo("Add item into add_system_fields")
additem add_system_fields, "isNew", "No"
additem add_system_fields, "isPopular", "No"
additem add_system_fields, "Hits", "0"
additem add_system_fields, "Rating", "0"
additem add_system_fields, "Votes", "0"
additem add_system_fields, "ReceiveMail", "Yes"

' Hash of column names to possible options. If you want to use a select form

' field, you can use &build_select_field in your HTML page. This routine will
' make a <SELECT> input tag using the following values:
db_select_fields = inithash()
msginfo("Add item into db_select_fields")
additem db_select_fields, "isNew", "Yes, No"
additem db_select_fields, "isPopular", "Yes, No"
additem db_select_fields, "ReceivedMail", "Yes, No"

' Hash of column names to radio values. If you use &build_radio_field, it will
' make a <INPUT TYPE="RADIO"> tag for you using the options specified in the hash.
db_radio_fields = inithash

' Maximum number of hits returned in a search. Can be overridden in the search
' options.
db_link_max_hits        = 10

' Use the built in key tracker.
db_key_track = 1
' ===========================================================================
' Build up some variables from your definitions. Internal use only.
msginfo("Arraytohash ")
db_link_def = arraytohash(raw_db_link_def)
msginfo("Arraytohash " & Ubound(db_link_def))
db_link_cols = hashkeys(db_link_def)
db_link_form_len = inithash()
db_link_lengths = inithash()
db_link_defaults = inithash()
db_link_not_null = inithash()
db_link_valid_types = inithash()
msginfo("Ubound of db_links_cols is " & Ubound(db_link_cols))
for i = 0 to Ubound(db_link_cols)
	singlerec = split(itemindexvalue(db_link_def, i+1), ",", -1, vbtextcompare)
	printarray(singlerec)
	additem db_link_form_len, itemindexkey(db_link_def, i+1), singlerec(2)
	additem db_link_lengths, itemindexkey(db_link_def, i+1), singlerec(3)
	additem db_link_defaults, itemindexkey(db_link_def, i+1), singlerec(5)
	additem db_link_valid_types, itemindexkey(db_link_def, i+1), singlerec(1)
	additem db_link_not_null, itemindexkey(db_link_def, i+1), singlerec(4)
next

msginfo("LinkDB is initialized")

%>