<%
' This function uses the CDO for NTS object to send an eMail message.
'
'  Parameters:
' 	sFrom - address of sender (string)
'	sTo - address of recipient (string)
' 	sSubject - subject for message (string)
'	sBody - message text (string)
' 	sCc - address of carbon copy recipient
' 	sBCc - address of blind carbon copy recipient
' 	iPriority - priority of message (integer; 0 = low; 1 = normal; 2 = high)
'  Note: To specify multiple recipients in the sTo, sCc or sBcc parameters, 
'  seperate the recipients addresses with a semicolon.

function  SendMail (sFrom, sTo, sSubject, sBody, sCc, sBcc, iPriority)
on error resume next
	dim myCDO
	set myCDO = Server.CreateObject("CDONTS.NewMail")

	if IsObject(myCDO) then
		myCDO.From = sFrom
		myCDO.To = sTo
		myCDO.Subject = sSubject
		myCDO.Body = sBody
		myCDO.importance = iPriority
		myCDO.Cc = sCc
		myCDO.Bcc = sBcc
		myCDO.Send 
		set myCDO = nothing

		SendMail = True
	else
		SendMail = False
	end if
on error goto 0
end Function

' This function uses the CDO for NTS object to send an eMail message to a list of people.
'
'  Parameters:
' 	sFrom - address of sender (string)
'	sTo - address of recipient (array)
' 	sSubject - subject for message (string)
'	sBody - message text (string)
' 	sCc - address of carbon copy recipient
' 	sBCc - address of blind carbon copy recipient
' 	iPriority - priority of message (integer; 0 = low; 1 = normal; 2 = high)
'  Note: To specify multiple recipients in the sTo, sCc or sBcc parameters, 
'  seperate the recipients addresses with a semicolon.

function  MailToList (sFrom, sTo, sSubject, sBody, sCc, sBcc, iPriority)

	dim myCDO, i, lastindex
	set myCDO = Server.CreateObject("CDONTS.NewMail")

	if IsObject(myCDO) then
		myCDO.From = sFrom
		lastindex = Ubound(sTo)
		for i = 0 to lastindex
			myCDO.To = sTo(i)
			myCDO.Subject = sSubject
			myCDO.Body = sBody
			myCDO.importance = iPriority
			myCDO.Cc = sCc
			myCDO.Bcc = sBcc
			myCDO.Send
		next
		
		set myCDO = nothing

		MailToList = True
	else
		MailToList = False
	end if

end Function

function nullif(str)
	if isnull(str) or isempty(str) or trim(str) = "" then
		nullif = ""
	else
		nullif = replace(str, vbCrlf, "<br>", 1, -1, vbtextcompare)
		nullif = replace(str, db_delim, " ", 1, -1, vbtextcompare)
	end if
end function

function YesNo(str)
	if strcomp(nullif(str),"YES", vbtextcompare) = 0then
		YesNo = "Yes"
	else
		YesNo = "No"
	end if
end function
%>